Subject: bug#45917: [PATCH] Use big brackets in Calc in big mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jan 2021 16:45:01 +0100

Mattias Engdegård <[email-masked]> writes:

> 19 jan. 2021 kl. 06.37 skrev Lars Ingebrigtsen <[email-masked]>:
>
>> ... would it be possible to have a fallback if the display doesn't
>> support these characters?
>
> Yes, all Unicode characters are checked using char-displayable-p in
> the patch.

Duh.  I skimmed the patch, but I missed that bit...

> However, some characters may be technically displayable but
> not very pretty, or have awkward metrics.
>
> That said, the brackets look fine where I've tested them so it's
> probably not a serious concern.

Yup.

>> Yeah.  Or there could be a variable to allow the user to not use these
>> fancy brackets if this is important for them?
>
> Maybe, but Calc already has rather too many variables and should we
> have separate variables for all non-ASCII features then, like the
> square root sign?

Possibly?  But I see you've just pushed a fix for parsing the root
sign.  :-)

> We are just speculating here. I'd hoped for concrete cheerful evidence
> like 'looks terrible on my terminal', 'completely destroys
> embedded-mode for me'...

I'm guessing you won't get feedback like that until you push this
change.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no